// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "ticket-boss/models"
)

// UsersOKCode is the HTTP code returned for type UsersOK
const UsersOKCode int = 200

/*UsersOK UserLoginResponse : HTTP status code 200 and an array of user models in data

swagger:response usersOK
*/
type UsersOK struct {

	/*
	  In: Body
	*/
	Payload *models.JwtToken `json:"body,omitempty"`
}

// NewUsersOK creates UsersOK with default headers values
func NewUsersOK() *UsersOK {

	return &UsersOK{}
}

// WithPayload adds the payload to the users o k response
func (o *UsersOK) WithPayload(payload *models.JwtToken) *UsersOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the users o k response
func (o *UsersOK) SetPayload(payload *models.JwtToken) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UsersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
